Bug 621357 - [abrt] crash in Miro-3.0.2-1.fc12: itemlist.py:442:update_items:KeyError: 57
Summary: [abrt] crash in Miro-3.0.2-1.fc12: itemlist.py:442:update_items:KeyError: 57
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a78fe59b
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-04 20:15 UTC by william brownell
Modified: 2010-09-15 05:53 UTC (History)
3 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-15 05:38:35 UTC


Attachments (Terms of Use)
File: backtrace (1.31 KB, text/plain)
2010-08-04 20:15 UTC, william brownell
no flags Details

Description william brownell 2010-08-04 20:15:43 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/miro.real
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.31.5-127.fc12.i686.PAE
package: Miro-3.0.2-1.fc12
reason: itemlist.py:442:update_items:KeyError: 57
release: Fedora release 12 (Constantine)

backtrace
-----
itemlist.py:442:update_items:KeyError: 57

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/gtk/threads.py", line 39, in wrap_idle_func
    func(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/application.py", line 1101, in handle_items_changed
    app.info_updater.handle_items_changed(message)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/application.py", line 943, in handle_items_changed
    callback(message)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/itemlistcontroller.py", line 343, in handle_items_changed
    self.item_list_group.update_items(message.changed)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/itemlist.py", line 285, in update_items
    sublist.update_items(changed_items, already_sorted=True)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/itemlist.py", line 442, in update_items
    del self._hidden_items[info.id]
KeyError: 57

Local variables in innermost frame:
info: <miro.messages.ItemInfo object at 0xaa1c19ec>
changed_items: [<miro.messages.ItemInfo object at 0xaa1c19ec>]
already_sorted: True
should_show: True
to_add: [<miro.messages.ItemInfo object at 0xaa1c19ec>]
self: <miro.frontends.widgets.itemlist.DownloadedItemList object at 0xa6be14c>

Comment 1 william brownell 2010-08-04 20:15:45 UTC
Created attachment 436655 [details]
File: backtrace

Comment 2 Fedora Update System 2010-08-29 17:20:58 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 3 Fedora Update System 2010-08-29 17:27:59 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 4 Fedora Update System 2010-08-29 17:32:08 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 5 Fedora Update System 2010-08-31 06:29:35 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 6 Fedora Update System 2010-09-15 05:35:44 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-09-15 05:50:42 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.